## org.codehaus.groovy.grails.commons.metaclass
Class DefaultDynamicMethods

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
          org.codehaus.groovy.grails.commons.metaclass.DefaultDynamicMethods

All Implemented Interfaces:
  DynamicMethods

    public class DefaultDynamicMethods

extends AbstractDynamicMethods

Simple concrete class implementation of AbstractDynamicMethods class

Since:
  0.4
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
`clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations`

Constructor Summary
`DefaultDynamicMethods(Class theClass)`

Method Summary

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethods
`addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDynamicMethods

    public DefaultDynamicMethods(Class theClass)
                          throws IntrospectionException

Throws:
  `IntrospectionException`

Copyright (c) 2005-2009 The Grails project